#!/bin/bash
cp ../defence_{ez,ak_slow}.cpp .
g++ -O2 -Wall -o ez *ez*cpp
g++ -O2 -Wall -o ak *ak*cpp

i=0
while true
do
    python gen.py > defence.in
    ./ez
    mv defence.out{,~}
    ./ak
    diff defence.out{,~} || break
    let i=i+1
    echo "$i tests passed"
done

echo "BOTVA"
